com.unitech.lib.uhf.params

## Class PowerRange

- java.lang.Object
- - com.unitech.lib.uhf.params.PowerRange

-     public class PowerRange
      extends java.lang.Object

  The PowerRange class is a class that represents the setting range of the power gain level of an RFID UHF antenna.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerRange()` Create an instance of the PowerRange class.
    `PowerRange(int min, int max)` Create an instance of the PowerRange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMax()` Returns the maximum Power Gian Level value for a PowerRange instance.
    `int` | `getMin()` Returns the Power Gian Level minimum value for a PowerRange instance.
    `void` | `setMax(int max)` Sets the maximum Power Gian Level value for a PowerRange instance.
    `void` | `setMin(int min)` Sets the Power Gian Level minimum value for a PowerRange instance.
    `java.lang.String` | `toString()` Return the PowerRange information with format: [Min], [Max]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerRange

          public PowerRange()

      Create an instance of the PowerRange class.

    - #### PowerRange

          public PowerRange(int min,
                            int max)

      Create an instance of the PowerRange class.
      Parameters:
        `min` - An integer representing the minimum value of the Power Gain Level. The unit is dBm.
        `max` - An integer representing the maximum value of the Power Gain Level. The unit is dBm.

  - ### Method Detail

    - #### getMin

          public int getMin()

      Returns the Power Gian Level minimum value for a PowerRange instance.
      Returns:
        An integer representing the minimum value of the Power Gain Level. The unit is dBm.

    - #### setMin

          public void setMin(int min)

      Sets the Power Gian Level minimum value for a PowerRange instance.
      Parameters:
        `min` - An integer representing the minimum value of the Power Gain Level. The unit is dBm.

    - #### getMax

          public int getMax()

      Returns the maximum Power Gian Level value for a PowerRange instance.
      Returns:
        An integer representing the maximum value of the Power Gain Level. The unit is dBm.

    - #### setMax

          public void setMax(int max)

      Sets the maximum Power Gian Level value for a PowerRange instance.
      Parameters:
        `max` - An integer representing the maximum value of the Power Gain Level. The unit is dBm.

    - #### toString

          public java.lang.String toString()

      Return the PowerRange information with format: [Min], [Max]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The PowerRange information